/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;

/**
	<P>The IAttribute interface is an object that represents an attribute in a query. 
	
	<P>It extends the ILeftOperand, IRightOperand, IOrderByElement, IFunctionElement, and
	IStringBuilder interfaces.
	
	<P>Instances of classes that implement this interface are used to represent attributes that
	contain a data type, a name, and optionally a metadata object.
 */
public interface IAttribute extends ILeftOperand, IRightOperand, IOrderByElement, IFunctionElement, IStringBuilder
{  
  public String getName();
  public void setName(String name);
  public ITable getTable();
  public void setTable(ITable table);
}
