/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;

/**
	<P>The ICondition interface is an object that represents a condition in a query. 
	
	<P>It extends the IStringBuilder interface. 
	
	<P>Instances of classes that implement	this interface are used to represent conditions that
	contain a left operand, an operator, and right operands.
 */
public interface ICondition extends IStringBuilder
{
  /**
  	Returns the left operand of the condition.
   */
  ILeftOperand getLeftOperand();
  /**
  	Returns the operator of the condition.
   */
  IOperator getOperator();
  /**
  	Returns the right operands of the condition.
   */
  IRightOperand[] getRightOperands();
}