/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;

/**
	<P>The IOrderBy interface is an object that represents an order by part in a query. 
	
	<P>It extends the IStringBuilder interface.
	
	<P>Instances of classes that implement this interface are used to represent order by clauses 
	that contain order by expressions.
 */
public interface IOrderBy extends IStringBuilder
{
  /**
  	Returns the order by expressions of the order by clause.
   */
  IOrderByExpression[] getOrderByExpressions();
}