/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;

/**
	<P>The IOrderByExpression interface is an object that represents an order by expression in an 
	order by clause.
	
	<P>It extends the IStringBuilder interface. 
	
	<P>Instances of classes that implement this interface are used to represent order by expressions
	that contain an operator and an	order by element.
 */
public interface IOrderByExpression extends IStringBuilder
{
  /**
  	Returns the operator of the order by expression.
   */
  IOperator getOperator();
  /**
  	Returns the order by element of the order by expression.
   */
  IOrderByElement getOrderByElement();
}