/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                          *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;

/**
	<P>The ISelectQuery interface is an object that represents a select query. 
	
	<P>It extends the IQuery interface.

	<P>Instances of classes that implement this interface are used to represent select queries 
	that contain an order by clause in addition to the parts in the base query.
 */
public interface ISelectQuery extends IStringBuilder, ITable, IQuery, IRightOperand
{    
  public IOrderBy getOrderBy();
  public void setOrderBy(IOrderBy newOrderBy);

  public ILimit getLimit();  
  public void setLimit(ILimit limit);
    
  public ISelect getSelect();
  public void setSelect(ISelect select);
}