/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;


public class Limit implements ILimit
{
  private int limitValue;

  /**
   * Constructor for Limit
   */
  public Limit()
  {
    super();
  }
  /**
   * 
   */
  public Limit(int limit)
  {
    limitValue = limit;
  }

  /**
   * @see ILimit#getLimitValue()
   */
  public int getLimitValue()
  {
    return limitValue;
  }

  /**
   * @see IStringBuilder#buildString(ISelectQueryCallback2)
   */
  public String buildString(ISelectQueryCallback builder) throws QueryException
  {
    return builder.buildLimit(this);
  }
  public void buildString(ISelectQueryCallback builder, StringBuffer sb) throws QueryException
  {
    builder.buildLimit(this, sb);
  }

  /**
   * Sets the limitValue
   * @param limitValue The limitValue to set
   */
  public void setLimitValue(int limitValue)
  {
    this.limitValue = limitValue;
  }

}
