/*
@copyright(disclaimer)
IBM Enterprise Information Portal for Multiplatforms V7.1  (program number  5697-G29)
(c ) Copyright IBM Corp. 1998, 2000. All Rights Reserved.
IBM Content Manager for Multiplatforms V6.1  (program number 5648-D03)
(c ) Copyright IBM Corp. 1994, 2000. All Rights Reserved.

US Government Users Restricted Rights
Use, duplication or disclosure restricted by GSA ADP Schedule
Contract with IBM Corp.  Licensed Materials - Property of IBM

DISCLAIMER OF WARRANTIES :

Permission is granted to copy and modify this code, and to
distribute modified versions provided that both the copyright
notice and this permission notice appear in all copies and modified
versions. THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. IBM DISCLAIMS
ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, IN SUCH SAMPLE CODE. IBM
WILL NOT BE LIABLE FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE
OF THE CODE.

@endCopyright
*/

//*****************************************************************************
// File Name   = UtilSimpleUI.java
// Description = Utility provide simple user interface for samples package
// Author      = afic
// Date        = 05/20/1998
//
//*****************************************************************************
package com.ibm.websphere.query.examples;
          
import java.io.*;

public  class UtilSimpleUI
{
public  UtilSimpleUI()
{
}

public
boolean
getBoolean(String prompt)
{
boolean ret = false;

while (true) {
  System.out.println("");
  System.out.println(prompt + " (Y/N or y/n) ");
  try {
	line = in.readLine();
	if (line.length() != 0) {
	  if      (line.equalsIgnoreCase("y")) ret = true;
	  else if (line.equalsIgnoreCase("n")) ret = false;
	  else    continue;

	  System.out.println("");
	  return ret;
	  }
	System.out.println("Empty value is not allowed");
	}
  catch (IOException e) {
	e.printStackTrace();
	System.out.println("");
	return false;
	}
  }
}

public
int
getInteger(String prompt)
{
Integer ret = null;

while (true) {
  System.out.println("");
  System.out.println(prompt + " (integer only) ");
  try {
	line = in.readLine();
	if (line.length() != 0) {
	  ret = new Integer(line);
	  System.out.println("");
	  return ret.intValue();
	  }
	System.out.println("Empty value is not allowed");
	}
  catch (NumberFormatException e) {
	System.out.println(e.getMessage());
	}
  catch (IOException e) {
	e.printStackTrace();
	System.out.println("");
	return 0;
	}
  }
}

public
String
getString(String prompt)
{
while (true) {
  System.out.println("");
  System.out.println(prompt);
  try {
	line = in.readLine();
	if (line.length() != 0) {
	  System.out.println("");
	  return line;
	  }
	System.out.println("Empty value is not allowed");
	}
  catch (IOException e) {
	e.printStackTrace();
	System.out.println("");
	return "";
	}
  }
}

public
String
getStringAllowEmpty(String prompt)
{
System.out.println("");
System.out.println(prompt);
try {
  System.out.println("");
  return in.readLine();
  }
catch (IOException e) {
  e.printStackTrace();
  System.out.println("");
  return "";
  }
}

String          line  = "";
BufferedReader  in    = new BufferedReader(new InputStreamReader(System.in));
}