/*********************************************************************
 * Licensed Materials - Property of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.serialization;

/**
 * This class contains the constants used to marshall and unmarshall
 * SelectQuery objects to and from XML.
 */
public class XMLConstants
{
  public static final String XML_VERSION = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
  
  /*
   * Elements
   */
  public static String VALUE_ELEMENT = "value";
  public static String LIMIT_ELEMENT = "limit";
  public static String OPERATOR_ELEMENT = "operator";
  public static String ATTRIBUTE_ELEMENT = "attribute";
  public static String ARITHMETIC_CONDITION_ELEMENT = "arithmeticCondition";
  public static String FUNCTION_ELEMENT = "function";
  public static String ORDER_BY_EXPRESSION_ELEMENT = "orderByExpression";
  public static String ORDER_BY_ELEMENT = "orderBy";
  public static String CONDITION_ELEMENT = "condition";
  public static String PREDICATE_ELEMENT = "predicate";
  public static String QUERY_ELEMENT = "query";
  public static String CRITERIA_ELEMENT = "criteria";
  public static String ELEMENT_ELEMENT = "element";
  
  /*
   * Attributes
   */
  public static String PROPERTY_NAME_ATTR = "propertyName";
  public static String DATA_TYPE_ATTR = "dataType";
  public static String VALUE_ATTR = "value";
  public static String NAME_ATTR = "name";
  public static String OPERATION_ATTR = "operation";
  public static String CLASS_ATTR = "class";
}
