/*
 * ItemExistsException.java
 *
 * This file is part of the specification for the
 * Java Content Repository API.
 */
package javax.jcr;

/**
 * An exception thrown by methods of <code>Node</code>
 * when an attempt is made to place an item in a position where another item
 * already exists.
 *
 * @author Peeter Piegaze
 */
public class ItemExistsException extends RepositoryException {

    /**
     * Class constructor that creates a <code>ItemExistsException</code>
     */
    public ItemExistsException() {
        super();
    }

    /**
     * Class constructor that creates a <code>ItemExistsException</code> given
     * a message describing the failure cause
     * @param s description
     */
    public ItemExistsException(String s) {
        super(s);
    }

    /**
     * Class constructor that creates a <code>ItemExistsException</code> given
     * a message describing the failure and a root exception
     * @param s description
     * @param e root failure cause
     */
    public ItemExistsException(String s, Exception e) {
        super(s, e);
    }
}
