/*
 * PathNotFoundException.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr;

/**
 * Exception thrown when no <code>Item</code> exists at the specified path
 * or when the specified path implies intermediary <code>Node</code>s that do
 * not exist.
 *
 * @author Stefan Guggisberg
 */
public class PathNotFoundException extends RepositoryException {

    /**
     * Constructor that creates a <code>PathNotFoundException</code>
     */
    public PathNotFoundException() {
        super();
    }

    /**
     * Constructor that creates a <code>PathNotFoundException</code> given
     * a message describing the failure cause
     * @param s description
     */
    public PathNotFoundException(String s) {
        super(s);
    }

    /**
     * Constructor that creates a <code>PathNotFoundException</code> given
     * a message describing the failure and a root exception
     * @param s description
     * @param e root failure cause
     */
    public PathNotFoundException(String s, Exception e) {
        super(s, e);
    }
}
