/*
 * NodeTypeIterator.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr.nodetype;

import javax.jcr.RangeIterator;

/**
 * An iterator for <code>NodeType</code> objects.
 *
 * @author Peeter Piegaze
 */
public interface NodeTypeIterator extends RangeIterator{

    /**
     * Returns the next <code>NodeType</code> in the iteration.
     *
     * @return the next <code>NodeType</code> in the iteration.
     *
     * @throws java.util.NoSuchElementException if iteration has no more <code>NodeType</code>s.
     */
    public NodeType nextNodeType();
}
