/*
 * InvalidVersionException.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr.version;

import javax.jcr.RepositoryException;

/**
 * Exception thrown by merge operations when the source node is not a successor (to any degree) of
 * the target node.
 */
public class InvalidVersionException extends RepositoryException
{
  /**
    * Class constructor that creates an <code>InvalidVersionException</code>
    */
  public InvalidVersionException()
  {
    super();
  }

  /**
   * Class constructor that creates an <code>InvalidVersionException</code> given
   * a message describing the failure cause
   * @param s description
   */
   public InvalidVersionException(String s)
   {
     super(s);
   }
}
